Name:           perl-Spoon
Version:        0.24
Release:        11%{?dist}
Summary:        Spiffy Application Building Framework
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Spoon/
Source0:        http://www.cpan.org/authors/id/I/IN/INGY/Spoon-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(IO::All) >= 0.32
BuildRequires:  perl(Spiffy) >= 0.24
BuildRequires:  perl(Template) >= 2.10
BuildRequires:  perl(Test::Memory::Cycle)
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(URI::Escape)
# TEMPORARY HACK: Force inclusion of perl-IO-All
BuildRequires:  perl-IO-All
Requires:       perl(IO::All) >= 0.32
Requires:       perl(Spiffy) >= 0.24
Requires:       perl(Template) >= 2.10
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?filter_setup:
%filter_from_provides /^perl(IO::All)$/d
%filter_from_requires /^perl(IO::All)$/d /^perl(Spiffy)$/d /^perl(Template)$/d
%{?perl_default_filter}
}

%description
Spoon is an Application Framework that is designed primarily for
building Social Software web applications. The Kwiki wiki software is
built on top of Spoon.

%prep
%setup -q -n Spoon-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT %{__perl_provides}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Feb 15 2011 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.24-11
- BR: perl-IO-All, to assure getting the right perl(IO::All)
  (was bogusly provided by perl-Spoon-0.24-9).

* Tue Feb 15 2011 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.24-10
- Rework filters (Cause of broken deps).

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.24-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 22 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.24-8
- 661697 rebuild for fixing problems with vendorach/lib

* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.24-7
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.24-6
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.24-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.24-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Mar  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.24-3
- rebuild for new perl

* Wed Apr 18 2007 Steven Pritchard <steve@kspei.com> 0.24-2
- BR ExtUtils::MakeMaker.

* Tue Dec 26 2006 Steven Pritchard <steve@kspei.com> 0.24-1
- Update to 0.24.
- Use fixperms macro instead of our own chmod incantation.
- Other minor cleanup to more closely match current cpanspec output.

* Sat Sep 16 2006 Steven Pritchard <steve@kspei.com> 0.23-5
- Fix find option order.

* Mon Jun 12 2006 Steven Pritchard <steve@kspei.com> 0.23-4
- BR URI::Escape.

* Thu Mar 02 2006 Steven Pritchard <steve@kspei.com> 0.23-3
- Improve Summary.
- Fix Source0.

* Mon Feb 27 2006 Steven Pritchard <steve@kspei.com> 0.23-2
- Drop explicit BR: perl.

* Wed Dec 28 2005 Steven Pritchard <steve@kspei.com> 0.23-1
- Specfile autogenerated.
